Package com.logicaldoc.core.parser

# Class XLSParser

java.lang.Object
com.logicaldoc.core.parser.AbstractParser
com.logicaldoc.core.parser.XLSParser

All Implemented Interfaces:
  `Parser`

public class XLSParser extends AbstractParser
Parser for Office 2003 worksheets

Since:
  3.5
Author:
  Michael Scholz, Alessandro Gasparini - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`XLSParser()`

## Method Summary

Modifier and Type
Method
Description
`int`
`countPages(InputStream input, String filename)`
Counts the number of pages of the given binary document.
`void`
`internalParse(InputStream input, ParseParameters parameters, StringBuilder content)`

### Methods inherited from class com.logicaldoc.core.parser.AbstractParser

`countPages, parse, parse, parse, parse`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XLSParser

public XLSParser()

## Method Details

### internalParse

public void internalParse(InputStream input, ParseParameters parameters, StringBuilder content)

### countPages

public int countPages(InputStream input, String filename)
Description copied from interface: `Parser`
Counts the number of pages of the given binary document.

Specified by:
  `countPages` in interface `Parser`
Overrides:
  `countPages` in class `AbstractParser`
Parameters:
  `input` - binary content from which to extract the text
  `filename` - name of the file
Returns:
  the number of pages